Get Provider
curl --request GET \
--url https://api.limitguard.ai/v1/providers/{provider_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.limitguard.ai/v1/providers/{provider_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.limitguard.ai/v1/providers/{provider_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider_id": "<string>",
"name": "<string>",
"endpoint_url": "<string>",
"supported_checks": [
"<string>"
],
"registered_at": "2023-11-07T05:31:56Z",
"status": "active",
"trust_level": "verified"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get Provider
Get a single validation provider by ID.
Requires authentication via X-API-Key header.
Args: provider_id: Provider UUID api_key: Validated API key from header
Returns: ProviderRegistration
Raises: HTTPException: 404 if provider not found
GET
/
v1
/
providers
/
{provider_id}
Get Provider
Authorizations
Path Parameters
Response
Successful Response
Validation provider registration.
Unique provider UUID
Provider name
Provider API endpoint URL
List of validation check types supported
Registration timestamp
Provider status
Provider trust level